Bug 976230 - fullscreen apps not shown in the background
fullscreen apps not shown in the background
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 03:30 EDT by Ales Kozumplik
Modified: 2015-02-17 10:38 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:38:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ales Kozumplik 2013-06-20 03:30:12 EDT
Steps to Reproduce:
1. on an otherwise empty workspace open the Terminal app
2. set it fullscreen
3. open another Terminal on the same workspace

Actual results:
the first terminal disappears and can not be seen in the background, only the newly opened window is showed.

Expected results:
the first fullscreen terminal is visible in the background.

Additional info:
For the user's comfort and ease of navigation between apps it is important he can see the windows on the current workspace. the windows disappear in both the gnome-shell and gnome-classic sessions.
Comment 1 Florian Müllner 2013-06-20 10:52:06 EDT
This is an intentional upstream change, its rationale being that fullscreen windows (which are meant to span the entire screen) interact badly with visible system chrome (which they are supposed to cover, but don't when in the background).
Comment 2 Ales Kozumplik 2013-06-20 10:56:11 EDT
The users are going to be more confused by not seeing the window at all than by seeing it interact badly with the chrome (and this might be remedied by something else than hiding the window alltogether).
Comment 4 Fedora End Of Life 2015-01-09 13:29:12 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 10:38:33 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.